<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'addetails',

    /*
     * Modules.
     */
    'modules'   => ['addetails'],

    
    'addetails'       => [
        'model' => [
            'model'                 => \Litecms\Addetails\Models\Addetails::class,
            'table'                 => 'addetails',
            'presenter'             => \Litecms\Addetails\Repositories\Presenter\AddetailsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['ad_intro',  'url',  'ad_banner',  'camp_setup',  'description'],
            'translatables'         => [],
            'upload_folder'         => 'addetails/addetails',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Addetails',
            'module'    => 'Addetails',
        ],

    ],
];
