<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAddetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: addetails
         */
        Schema::create('addetails', function ($table) {
            $table->increments('id');
            $table->string('ad_intro', 255)->nullable();
            $table->string('url', 255)->nullable();
            $table->string('ad_banner', 255)->nullable();
            $table->string('camp_setup', 255)->nullable();
            $table->string('description', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('addetails');
    }
}
