Lavalite package that provides addetails management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/addetails`.

    "litecms/addetails": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Addetails\Providers\AddetailsServiceProvider::class,

And also add it to alias

    'Addetails'  => Litecms\Addetails\Facades\Addetails::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\AddetailsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Addetails\Providers\AddetailsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Addetails\Providers\AddetailsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Addetails\Providers\AddetailsServiceProvider" --tag="view"


## Usage


